;;;                  -*- Mode: Lisp; Package: CL-USER -*-                   ;;;
;;; ----------------------------------------------------------------------- ;;;
;;; File:         _compile.lsp                                              ;;;
;;; Description:  BOOMS compiling                                           ;;;
;;; Author:       Eli Barzilay - eli@cs.bgu.ac.il                           ;;;
;;; Date:         29-9-96                                                   ;;;
;;; Package:      CL-USER                                                   ;;;
;;; ----------------------------------------------------------------------- ;;;

#|

This file is part of the BOOMS system:
+-----------------------------------------------------------------------------+
|                                                                             |
| /######   /#####   /#####  /##     /##  /#####                              |
| /##///## /##///## /##///## /###   /### /##///##                        /--- |
| /##  /## /##  /## /##  /## /#### /#### /##  ///          /------/     /     |
| /######/ /##  /## /##  /## /##/####/## //#####          /      /     /      |
| /##///## /##  /## /##  /## /##//##//##  /////##        /------/ __  /       |
| /##  /## /##  /## /##  /## /## /// /##      /##   __  /  __  / /  \/        |
| /##  /## /##  /## /##  /## /##     /## /##  /##  /  \/  /  \/  \__/         |
| /######/ //#####/ //#####/ /##     /## //#####/  \__/   \__/                |
| ///////   //////   //////  ///     ///  //////                              |
|                                                                             |
|                   Booms Object Oriented Music Structures.                   |
|Eli Barzilay:                                                   Maze is Life!|
+-----------------------------------------------------------------------------+

|#


;;;-------------------------------------------------------------------------;;;
;;;  B O O M S  compilation                                                 ;;;
;;;-------------------------------------------------------------------------;;;

(in-package :cl-user)

(format t "~&BOOMS is being compiled, hold on...~%")

(if (fboundp 'load-file)
  (load-file "b-files")
  (load "b-files.lsp" :verbose nil))

(compile-booms-files)


;;;-------------------------------------------------------------------------;;;
;;;  D O N E !                                                              ;;;
;;;-------------------------------------------------------------------------;;;

(booms-done-loading/compiling "compiling")

